# nvme-ocp-smart-add-log(1) Manual Page

## NAME

nvme-ocp-smart-add-log - Retrieves Extended SMART information of given OCP compliant device

## SYNOPSIS

    nvme ocp smart-add-log <device> [--output-format=<fmt> | -o <fmt>] [--output-format-version=<version>]

## DESCRIPTION

For the NVMe device given, send a smart-add-log command and provide the additional smart log.

The <device> parameter is mandatory and may be either the NVMe character device (ex: /dev/nvme0) or block device (ex: /dev/nvme0n1).

This will only work on OCP compliant devices supporting this feature. Results for any other device are undefined.

EXPERIMENTAL. The --output-format-version can be set to 2 to generate field names for the outputs that are easier to process via scripts. Note this is experimental and the field names are subject to change.

On success it returns 0, error code otherwise.

## OPTIONS

-o <fmt>
--output-format=<fmt>

  Set the reporting format to normal or json. Only one output format can be used at a time. The default is normal.

--output-format-version=<version>

  Set the field labels in the reporting format to either 1 (the original) or 2. The default is 1. Note this is experimental.

## EXAMPLES

- Has the program issue a smart-add-log command to retrieve the 0xC0 log page.

      # nvme ocp smart-add-log /dev/nvme0

## NVME

Part of the nvme-user suite.